# apkallone

[![Package Version](https://img.shields.io/hexpm/v/apkallone)](https://hex.pm/packages/apkallone)
[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/apkallone/)

Bindings to the [Mastodon], [Pleroma], and [Misskey] APIs.

[Mastodon]: https://joinmastodon.org/
[Pleroma]: https://pleroma.social/
[Misskey]: https://misskey-hub.net/en/

```sh
gleam add apkallone@0
```
```gleam
import apkallone
import apkallone/mastodon/instance

pub fn main() {
  let assert Ok(instance) =
    apkallone.Client("https://tech.lgbt")
    |> instance.get

  io.debug(instance)
}
```

Further documentation can be found at <https://hexdocs.pm/apkallone>.

API documentation can be found at the official pages for [Mastodon], [Pleroma], and [Misskey].

[Mastodon]: https://docs.joinmastodon.org/api/
[Pleroma]: https://api.pleroma.social/
[Misskey]: https://misskey-hub.net/en/docs/for-developers/api/

## Development

This library is in development. Most functionality is unimplemented.

Currently only the Erlang target is supported, for lack of a target-agnostic HTTP client.

## Planned features

- [ ] Authenticated requests.
- [ ] User-provided HTTP client.
- [ ] The full Mastodon API.
- [ ] The full Pleroma/Akkoma API.
- [ ] The full Misskey/IceShrimp/Sharkey API.
